Box
Keywords: uk.ac.ic.doc.automed.gui.Box class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.gui
Class Box

    java.lang.Object
      java.awt.geom.RectangularShape
          java.awt.geom.Rectangle2D
              java.awt.Rectangle
                  uk.ac.ic.doc.automed.gui.Box

All Implemented Interfaces:
  java.awt.Shape, java.io.Serializable, java.lang.Cloneable

    public class Box

extends java.awt.Rectangle

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.awt.geom.Rectangle2D
`java.awt.geom.Rectangle2D.Double, java.awt.geom.Rectangle2D.Float`

Field Summary

Fields inherited from class java.awt.Rectangle
`height, width, x, y`

Fields inherited from class java.awt.geom.Rectangle2D
`OUT_BOTTOM, OUT_LEFT, OUT_RIGHT, OUT_TOP`

Constructor Summary
`Box()`

Method Summary
`boolean` | `contains(java.awt.Point p)`
`void` | `draw()`
`java.awt.Rectangle` | `getBoundingBox()`
`java.awt.Point` | `getEdgePosition(java.awt.Point p)`
`Box` | `setArcHeight(int height)`
`Box` | `setArcWidth(int width)`
`Box` | `setBgColour(java.lang.String colour)`
`Box` | `setFgColour(java.lang.String colour)`
`Box` | `setFontColour(java.lang.String colour)`
`Box` | `setFontName(java.lang.String name)`
`Box` | `setFontSize(int size)`
`Box` | `setFontStyle(int style)`
`Box` | `setGraphics(java.awt.Graphics g)`
`Box` | `setHeight(int height)`
`Box` | `setLayout(java.lang.String layout)`
`Box` | `setLayoutAxis(java.lang.String axis)`
`Box` | `setRounded(boolean r)`
`Box` | `setShapeLocation(java.awt.Point location)`
`Box` | `setStyle(java.lang.String style)`
`Box` | `setText(java.lang.String text)`
`Box` | `setTextLocation(java.lang.String location)`
`Box` | `setWidth(int width)`

Methods inherited from class java.awt.Rectangle
`add, add, add, contains, contains, contains, contains, createIntersection, createUnion, equals, getBounds, getBounds2D, getHeight, getLocation, getSize, getWidth, getX, getY, grow, inside, intersection, intersects, isEmpty, move, outcode, reshape, resize, setBounds, setBounds, setLocation, setLocation, setRect, setSize, setSize, toString, translate, union`

Methods inherited from class java.awt.geom.Rectangle2D
`add, add, add, contains, contains, getPathIterator, getPathIterator, hashCode, intersect, intersects, intersectsLine, intersectsLine, outcode, setFrame, setRect, union`

Methods inherited from class java.awt.geom.RectangularShape
`clone, contains, contains, getCenterX, getCenterY, getFrame, getMaxX, getMaxY, getMinX, getMinY, intersects, setFrame, setFrame, setFrameFromCenter, setFrameFromCenter, setFrameFromDiagonal, setFrameFromDiagonal`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.Shape
`contains, contains, contains, contains, getPathIterator, getPathIterator, intersects, intersects`

Constructor Detail

### Box

    public Box()

Method Detail

### setStyle

    public Box setStyle(java.lang.String style)

### setBgColour

    public Box setBgColour(java.lang.String colour)

### setFgColour

    public Box setFgColour(java.lang.String colour)

### setText

    public Box setText(java.lang.String text)

### setFontName

    public Box setFontName(java.lang.String name)

### setFontSize

    public Box setFontSize(int size)

### setFontStyle

    public Box setFontStyle(int style)

### setFontColour

    public Box setFontColour(java.lang.String colour)

### setTextLocation

    public Box setTextLocation(java.lang.String location)

### setShapeLocation

    public Box setShapeLocation(java.awt.Point location)

### setWidth

    public Box setWidth(int width)

### setHeight

    public Box setHeight(int height)

### setRounded

    public Box setRounded(boolean r)

### setArcWidth

    public Box setArcWidth(int width)

### setArcHeight

    public Box setArcHeight(int height)

### setLayout

    public Box setLayout(java.lang.String layout)

### setLayoutAxis

    public Box setLayoutAxis(java.lang.String axis)

### setGraphics

    public Box setGraphics(java.awt.Graphics g)

### getEdgePosition

    public java.awt.Point getEdgePosition(java.awt.Point p)

### draw

    public void draw()

### getBoundingBox

    public java.awt.Rectangle getBoundingBox()

### contains

    public boolean contains(java.awt.Point p)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD